<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Engine;

use Gls\GlsPoland\Soap\Engine\HttpBinding\SoapRequest;
use Gls\GlsPoland\Soap\Engine\HttpBinding\SoapResponse;

interface TransportInterface
{
    public function request(SoapRequest $request): SoapResponse;
}
